*

Nightnoir

  • *
  • 11 posts
Error API key for update osclass
« on: January 09, 2021, 10:57:24 AM »
Hi, if I insert the API key that I find in my osclasspoint profile, and insert it in the settings of my site, once I have saved everything and pressed on "validate key", I get the following error:
"API key validation error: Website information not filled in OsclassPoint profile, in order to use our services you must enter your website in your profile", I also tried to replace the key several times with others recreated from my profile but it is always the same ... also in the themes section it tells me that there is an update of the sigma theme, from version 1.20 to 1.2.1 (update that does not appear in the osclasspoint updater page but only in the themes section), and if I press on "update "It gives me the following error" Website information not filled in OsclassPoint profile ", how can I fix it?

Marked as best answer by frosticek on January 09, 2021, 01:57:12 PM
*

MB Themes

Re: Error API key for update osclass
« Reply #1 on: January 09, 2021, 11:03:13 AM »
@Nightnoir
You must enter your website link in your osclasspoint.com profile in order to be able to validate that your api key is used just by yourself.
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots

*

Nightnoir

  • *
  • 11 posts
Re: Error API key for update osclass
« Reply #2 on: January 09, 2021, 11:11:00 AM »
wow, I was going crazy ... "Necessary if you want to use automatic updates in Osclass 4.1 or higher, the domain must match the domain your osclass site is running on." I had not read this sentence it was written too small XD, anyway thanks

*

MB Themes

Re: Error API key for update osclass
« Reply #3 on: January 09, 2021, 01:57:08 PM »
@Nightnoir
Welcome
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots

Re: Error API key for update osclass
« Reply #4 on: January 16, 2021, 02:38:07 PM »
Hi, if I insert the API key that I find in my osclasspoint profile, and insert it in the settings of my site, once I have saved everything and pressed on "validate key", I get the following error:
"API key validation error: Website information not filled in OsclassPoint profile, in order to use our services you must enter your website in your profile", I also tried to replace the key several times with others recreated from my profile but it is always the same ... also in the themes section it tells me that there is an update of the sigma theme, from version 1.20 to 1.2.1 (update that does not appear in the osclasspoint updater page but only in the themes section), and if I press on "update "It gives me the following error" Website information not filled in OsclassPoint profile ", how can I fix it?
In addition to the above, here one site can be verified and API is generated for only one site at at time. What if someone has more than one site and need multiple APIs.

*

MB Themes

Re: Error API key for update osclass
« Reply #5 on: January 16, 2021, 03:16:04 PM »
For each website you should have one account, 1 email address.
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots